php-nette-security-2.4.0-1.el5.remi.noarch.rpm


Advertisement

Description

php-nette-security - Nette Security: Access Control Component

Property Value
Distribution CentOS 5
Repository Les RPM de Remi i386
Package name php-nette-security
Package version 2.4.0
Package release 1.el5.remi
Package architecture noarch
Package type rpm
Installed size 59.36 KB
Download size 21.69 KB
Official Mirror rpms.remirepo.net
Nette Security: Access Control
- user login and logout
- verifying user privileges
- securing against vulnerabilities
- how to create custom authenticators and authorizators
- Access Control List
To use this library, you just have to add, in your project:
require_once '/usr/share/php/Nette/Security/autoload.php';

Alternatives

Package Version Architecture Repository
php-nette-security-2.4.1-1.el5.remi.noarch.rpm 2.4.1 noarch Les RPM de Remi
php-nette-security-2.4.1-1.el5.remi.noarch.rpm 2.4.1 noarch Les RPM de Remi
php-nette-security-2.4.0-1.el5.remi.noarch.rpm 2.4.0 noarch Les RPM de Remi
php-nette-security - - -

Requires

Name Value
php(language) >= 5.6
php-composer(nette/utils) < 3
php-composer(nette/utils) >= 2.4
php-pcre -
php-session -
php-spl -

Provides

Name Value
php-composer(nette/security) = 2.4.0
php-nette-security = 2.4.0-1.el5.remi

Download

Type URL
Binary Package php-nette-security-2.4.0-1.el5.remi.noarch.rpm
Source Package php-nette-security-2.4.0-1.el5.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/enterprise/5/remi/i386/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php-nette-security rpm package:
    # yum --enablerepo=remi install php-nette-security

Files

Path
/usr/share/doc/php-nette-security-2.4.0/composer.json
/usr/share/doc/php-nette-security-2.4.0/contributing.md
/usr/share/doc/php-nette-security-2.4.0/license.md
/usr/share/doc/php-nette-security-2.4.0/readme.md
/usr/share/php/Nette/Bridges/
/usr/share/php/Nette/Bridges/SecurityDI/SecurityExtension.php
/usr/share/php/Nette/Bridges/SecurityTracy/UserPanel.php
/usr/share/php/Nette/Bridges/SecurityTracy/templates/UserPanel.panel.phtml
/usr/share/php/Nette/Bridges/SecurityTracy/templates/UserPanel.tab.phtml
/usr/share/php/Nette/Security/AuthenticationException.php
/usr/share/php/Nette/Security/IAuthenticator.php
/usr/share/php/Nette/Security/IAuthorizator.php
/usr/share/php/Nette/Security/IIdentity.php
/usr/share/php/Nette/Security/IResource.php
/usr/share/php/Nette/Security/IRole.php
/usr/share/php/Nette/Security/IUserStorage.php
/usr/share/php/Nette/Security/Identity.php
/usr/share/php/Nette/Security/Passwords.php
/usr/share/php/Nette/Security/Permission.php
/usr/share/php/Nette/Security/SimpleAuthenticator.php
/usr/share/php/Nette/Security/User.php
/usr/share/php/Nette/Security/autoload.php

Changelog

2016-08-04 - Remi Collet <remi@fedoraproject.org> - 2.4.0-1
- update to 2.4.0
- raise dependency on PHP >= 5.6
- raise dependency on nette/utils >= 2.4
2016-06-20 - Remi Collet <remi@fedoraproject.org> - 2.3.2-1
- update to 2.3.2
2015-10-30 - Remi Collet <remi@fedoraproject.org> - 2.3.1-1
- initial package

See Also

Package Description
php-nette-tester-2.0.0-0.1.20160714git7d29c02.el5.remi.noarch.rpm An easy-to-use PHP unit testing framework
php-nette-tester-2.0.0-0.2.20161216git72dbafd.el5.remi.noarch.rpm An easy-to-use PHP unit testing framework
php-nette-tokenizer-2.2.2-1.el5.remi.noarch.rpm Nette Tokenizer
php-nette-tokenizer-2.2.3-1.el5.remi.noarch.rpm Nette Tokenizer
php-nette-utils-2.4.3-1.el5.remi.noarch.rpm Nette Utility Classes
php-nette-utils-2.4.4-1.el5.remi.noarch.rpm Nette Utility Classes
php-nikic-fast-route-1.1.0-1.el5.remi.noarch.rpm Fast implementation of a regular expression based router
php-nikic-fast-route-1.2.0-1.el5.remi.noarch.rpm Fast implementation of a regular expression based router
php-nikic-php-parser-2.1.1-1.el5.remi.noarch.rpm A PHP parser written in PHP
php-nikic-php-parser-2.1.1-2.el5.remi.noarch.rpm A PHP parser written in PHP
php-nikic-php-parser3-3.0.4-1.el5.remi.noarch.rpm A PHP parser written in PHP
php-nikic-php-parser3-3.0.5-1.el5.remi.noarch.rpm A PHP parser written in PHP
php-nrk-Predis-1.1.0-1.el5.remi.noarch.rpm PHP client library for Redis
php-nrk-Predis-1.1.1-1.el5.remi.noarch.rpm PHP client library for Redis
php-nusoap-0.9.5-1.el5.remi.noarch.rpm SOAP Toolkit for PHP
Advertisement
Advertisement